package com.sheep.gamegroup.presenter;

import com.sheep.gamegroup.model.entity.BaseMessage;

/**
 * Created by ljy on 2018/3/18.
 */

public interface SignCardContract {

    interface Presenter{

        void goSignPunch();//打卡
        void goSignUp();//一元报名
        void goPunchAward();//可获得的奖励
        void goPunchCanpunch();//获取是否可以打卡
        void goPunchCanSignUp();//判断今日是否能报名
        void goPunchAndSignCount();//获取可打卡和报名人数
    }

    interface View{
        void succSignPunch(BaseMessage o);
        void succSignUp(BaseMessage o);
        void succPunchAward(BaseMessage o);
        void succPunchCanpunch(BaseMessage o);
        void succPunchCanSignUp(BaseMessage o);
        void succPunchAndSignCount(BaseMessage o);
        void failRequest(BaseMessage o);

    }
}
